Imports Microsoft.VisualBasic
Imports System
Imports System.Globalization
Imports System.Windows.Data

Namespace SilverTwitMSDN
	Public Class DateConverter
		Implements IValueConverter
		Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.Convert
			If value Is Nothing Then
				Return String.Empty
			End If

			Dim theDate As DateTime = CDate(value)
			Dim formattedDate As String = String.Empty

			If parameter Is Nothing Then
				formattedDate = theDate.ToString(culture)
			Else
				formattedDate = theDate.ToString(TryCast(parameter, String), culture)
			End If

			Return formattedDate
		End Function

		Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
			Throw New System.NotImplementedException()
		End Function
	End Class
End Namespace