Imports Microsoft.VisualBasic
Imports System.ServiceModel

Namespace SilverTwitWS
	<ServiceContract(Namespace := "http://www.silverlight2data.com")> _
	Public Interface ITwitterService
		<OperationContract> _
		Function FindTweets(ByVal username As String, ByVal password As String) As String

		<OperationContract> _
		Function FindPublicTweets() As String

		<OperationContract> _
		Function FindArchivedTweets(ByVal username As String, ByVal password As String) As String

		<OperationContract> _
		Function FindReplies(ByVal username As String, ByVal password As String) As String

		<OperationContract> _
		Function FindDirectMessages(ByVal username As String, ByVal password As String) As String

		<OperationContract> _
		Function FindFavorites(ByVal username As String, ByVal password As String) As String

		<OperationContract> _
		Function PostStatusUpdate(ByVal message As String, ByVal username As String, ByVal password As String) As String

		<OperationContract> _
		Function PostCreateTinyUrl(ByVal longUrl As String) As String

		<OperationContract> _
		Function AuthenticateUser(ByVal username As String, ByVal password As String) As Boolean
	End Interface
End Namespace