Imports Microsoft.VisualBasic
Imports System
Imports System.Globalization
Imports System.Windows.Browser

Namespace SilverTwitMSDN
    Public Module MyExtensions
        <System.Runtime.CompilerServices.Extension()> _
        Public Function UrlEncode(ByVal value As String) As String
            Dim encodedValue As String = HttpUtility.UrlEncode(value) ' + -> %2B -> %25B
            Return encodedValue
        End Function

        Private culture As IFormatProvider = New CultureInfo("en-US")
        Private Const twitterDateFormat As String = "ddd MMM dd HH:mm:ss zzzz yyyy"

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToLong(ByVal value As String) As Long
            Return Long.Parse(value)
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToUri(ByVal value As String) As Uri
            Return New Uri(value)
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToBool(ByVal value As String) As Boolean
            Return (value.Trim().ToLower() = "true")
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToDateTime(ByVal value As String) As DateTime
            Return DateTime.ParseExact(value, twitterDateFormat, culture)
        End Function

    End Module
End Namespace