Imports Microsoft.VisualBasic
Imports System
Imports System.Globalization

Namespace SilverTwit
	Public NotInheritable Class TwitterConverter
		Private Shared culture As IFormatProvider = New CultureInfo("en-US")
		Private Const twitterDateFormat As String = "ddd MMM dd HH:mm:ss zzzz yyyy"

		Private Sub New()
		End Sub
		Public Shared Function ToInt(ByVal value As String) As Integer
			Return Integer.Parse(value)
		End Function

		Public Shared Function ToUri(ByVal value As String) As Uri
			Return New Uri(value)
		End Function
		Public Shared Function ToBool(ByVal value As String) As Boolean
			Return (value.Trim().ToLower() = "true")
		End Function
		Public Shared Function ToDateTime(ByVal value As String) As DateTime
			Return DateTime.ParseExact(value, twitterDateFormat, culture)
		End Function
	End Class
End Namespace