Imports Microsoft.VisualBasic
Imports System.ServiceModel
Imports System.ServiceModel.Web
Imports System.Xml.Linq

Namespace SilverTwitMSDNWS
	<ServiceContract(Namespace := "http://www.silverlight-data.com")> _
	Public Interface ITwitterRESTService
		<OperationContract, WebGet(UriTemplate := "Tweet/{username}/{tweetType}/?pw={password}", ResponseFormat := WebMessageFormat.Xml)> _
		Function FindTweets(ByVal username As String, ByVal tweetType As String, ByVal password As String) As XElement

		<OperationContract, WebGet(UriTemplate := "Tweet", ResponseFormat := WebMessageFormat.Xml)> _
		Function FindPublicTweets() As XElement

		<OperationContract, WebInvoke(UriTemplate := "Tweet/{username}/?pw={password}", RequestFormat := WebMessageFormat.Xml, Method := "POST")> _
		Sub AddTweet(ByVal username As String, ByVal password As String, ByVal newTweetStatus As TweetStatus)
	End Interface
End Namespace